import json
import random
import os

output_dir = 'data'
summeval_dir = 'data\\summeval.json'

summeval = json.load(open(summeval_dir))
random.seed(42)
sample_indices = sorted(random.sample(range(len(summeval)), 100))
sample_summeval = [summeval[i] for i in sample_indices]

new_json = []
new_json.append(sample_summeval)
output_fp = os.path.join(output_dir, "sample_summeval")

with open(output_fp, 'w') as f:
    json.dump(new_json, f, indent=4)